Subject: [tsvwg] Eric Rescorla's Abstain on draft-ietf-tsvwg-rfc4960-errata-06: (with COMMENT)

From: Eric Rescorla <[email-masked]>
Date: Tue, 03 Jul 2018 16:31:33 -0700

Eric Rescorla has entered the following ballot position for
draft-ietf-tsvwg-rfc4960-errata-06: Abstain

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-tsvwg-rfc4960-errata/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I agree with Adam and Spencer. This is just an incredibly user-hostile
presentation of this information, in particular:

  Note that when reading this document one must use care to assure that
  a field or item is not updated further on within the document.  Since
  this document is a historical record of the sequential changes that
  have been found necessary at various inter-op events and through
  discussion on the list, the last delta in the text is the one which
  should be applied.

This seems like good input to a -bis but should not be published as-is.

---

From: Michael Tuexen <[email-masked]>
Date: Wed, 4 Jul 2018 07:24:57 +0200

> 
> On 4. Jul 2018, at 01:31, Eric Rescorla <[email-masked]> wrote:
> 
Not sure if Adam and Spencer are in agreement here...
> This seems like good input to a -bis but should not be published as-is.
So I guess you are suggesting to drop this document and work on an
RFC4960bis instead, because there is no need to document the reasons
for the changes?

Best regards
Michael

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 4 Jul 2018 10:49:18 +0100

Hi Michael,

> RFC4960bis instead, because there is no need to document the reasons

Just speaking for myself: I prefer the WG just works on the bis without publishing this one. Preserving history of decisions somewhere would be useful, but I think an RFC is going to be a wrong choice here. You can add comments to datatracker for the bis, pointing to this draft. This would provide enough background without requiring extra work from RFC Editor.

Best Regards,
Alexey

---

From: Michael Tuexen <[email-masked]>
Date: Wed, 4 Jul 2018 12:51:24 +0200

> On 4. Jul 2018, at 11:49, Alexey Melnikov <[email-masked]> wrote:
> 
> Hi Michael,
> 
OK. In the past people were interested what has changed and why, but that can
change over time.

It is not a problem to just work on a RFC 4960bis document and not tie it to
an errata document. The review then has to be based on the new RFC 4960bis.

Thanks for your opinion and guidance. Unfortunately it comes at the lasted
point of time possible.

Best regards
Michael

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 4 Jul 2018 06:03:29 -0700

On Tue, Jul 3, 2018 at 10:24 PM, Michael Tuexen <[email-masked]>
wrote:

> RFC4960bis instead,

Yes.

because there is no need to document the reasons
> for the changes?

I think generally not, though in some specific cases, it might be useful,
where
it's substantive.

-Ekr

---

From: "Proshin, Maksim" <[email-masked]>
Date: Wed, 4 Jul 2018 19:50:05 +0000

Hi,

As one of SCTP developers I can confirm that such document is really useful. When we were applying RFC4960 to our implementation of RFC2960, we actively used RFC4460. The most important benefit of the documents such as RFC4460 and the current drat is that they explain why a change is needed and why a particular solution was chosen which makes developers decisions easier.

Also I know that some developers are already using this draft to improve their implementations. Of course, they might need minor corrections when the RFCbis is published but they already now can benefit from this work.

An alternative approach could be to incorporate this draft in RFCbis document as an abstract section but that will seriously enlarge the size of the document.

BR, Maxim

________________________________
From: tsvwg <[email-masked]> on behalf of Eric Rescorla <[email-masked]>
Sent: Wednesday, July 4, 2018 4:03 PM
To: Michael Tuexen
Cc: Gorry Fairhurst; [email-masked]; [email-masked]; The IESG; [email-masked]
Subject: Re: [tsvwg] Eric Rescorla's Abstain on draft-ietf-tsvwg-rfc4960-errata-06: (with COMMENT)

On Tue, Jul 3, 2018 at 10:24 PM, Michael Tuexen <[email-masked]<mailto:[email-masked]>> wrote:
>
> On 4. Jul 2018, at 01:31, Eric Rescorla <[email-masked]<mailto:ekr@rtfm..com>> wrote:
>
> This seems like good input to a -bis but should not be published as-is..

Yes.

I think generally not, though in some specific cases, it might be useful, where
it's substantive.

-Ekr

Best regards
Michael